Your API key. Create one in Ocoya. Authorization: Bearer <key> works too.
Publishing
Update post
Returns an id of the updated post
Update post
curl --request PATCH \
--url https://www.app.ocoya.com/api/_public/v1/post/{postId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"caption": "Launching our summer campaign today.",
"scheduledAt": "2024-01-01T00:00:00Z",
"publishNow": true,
"mediaUrls": [
"https://example.com/image.jpg"
],
"addMediaUrls": [
"https://example.com/image.jpg"
],
"clearMedia": false,
"channelIds": [
"clh49poxf008x8kov4ncbjty9"
],
"addChannelIds": [
"clh49poxf008x8kov4ncbjty9"
],
"options": {
"facebook": {
"type": "reel"
},
"instagram": {
"type": "reel"
},
"tiktok": {
"privacyLevel": "PUBLIC_TO_EVERYONE",
"allowComment": true
}
}
}
'{
"postGroupId": "cmajvvb9q0003ja5vh0538j6r"
}Authorizations
Body
application/json
ISO 8601 datetime when the post should be scheduled, or null to make it unscheduled.
Full replacement set of publicly reachable image or video URLs. Maximum 10. Use an empty array to remove all media.
Publicly reachable image or video URLs to add without removing existing media. Maximum 10 total.
Full replacement set of channel IDs that should receive the post. Get IDs from GET /channels.
Was this page helpful?